Bonjour,

Il s'agit peut-être d'un nouveau guide sur LaTeX, mais celui-ci est en français et réalisé par un Français qui utilise ardemment LaTeX et trouve qu'il y a déjà suffisamment de guides en anglais sur le sujet disponibles sur Internet (non pas qu'ils soient médiocres, certains sont mêmes bien écrits).

Donc, si jamais tu es Français et un parfait débutant en LaTeX, ou si tu es juste intéressé par LaTeX (et comprends le français), j'espère que ce guide pourra t'être utile. Il est rempli d'exemples les plus minimalistes possibles, remplis d'explications, afin de faciliter ton utilisation de LaTeX (c'est ce que je pense en tout cas).

J'espère donc que ce guide pourra servir à quelqu'un... Oh, et au passage, ce guide a été conçu sous la licence CC BY-NC-ND 4.0, comme indiqué à l'intérieur.

Merci et bonne lecture,

Adrien BOUZIGUES


---


Hello,

This is a new guide on LaTeX, entirely in French and made by a French guy who loves LaTeX and thinks there are lots of English guides available on the Internet (not that they are bad, some are even well written).

So, if you're French and a complete beginner in LaTeX, or if you're just interested in LaTeX (and understand French a little), I hope this guide can be of some use. It is full of MWEs (Minimal Working Example) so that you can use LaTeX more easily (I think).

I hope it can help someone... Oh, and by the way, this guide is under the licence CC BY-NC-ND 4.0, as mentionned inside.

Thanks and have a nice reading,

Adrien BOUZIGUES


---


### Historique des mises à jour :
* **Version 3.8 (finie le 28/12/2022) :**
	* corrections diverses
	* amélioration préambule (packages.tex)
	* utilisation package "hologo" et mise à jour contenu
	* ajout du numéro de ligne de code dans les exemples fournis
	* mise à jour liens vers FAQ "grappa" vers GUTenberg

* **Version 3.7 (finie le 03/10/2021) :**
	* suppression du lien du GDrive et du GForm (obsolète)
	* mise à jour des liens avec le site (glf.cl215.fr)
	* import sur le site des fichiers statiques (PDF d'aide) initialement hébergés sur le GDrive


* **Version 3.5 (finie le 13/05/2019) :**
	* poursuite des corrections entamées avec la version 3.0
	* utilisation du package "upquote" (apostrophe droite dans les codes fournies ==> copier-coller OK désormais)
	* Partie III :
		* ajout d'un nouveau chapitre, pour bien structurer son rapport et ses longs documents
		* reprise complète du chapitre sur le texte (code LaTeX à jour, aperçu du résultat final avec plusieurs pages)
		* relecture du chapitre sur les mathématiques, un peu de simplification
		* reprise du chapitre sur les tableaux, code allégé et épuré
		* reprise du chapitre sur les images
		* dernière MàJ du chapitre sur PSTricks : simplification, quelques reformulations
		* reprise du chapitre sur TikZ : structure initiale conservée, exemples repensés, explications reprises
		* mise à jour des annexes


* **Version 3.0 (finie le 25/12/2018) :**
	* relecture complète : limiter les fautes, corriger des tournures maladroites + reprise des noms en \texttt (PDFLaTeX, TikZ, ...)
	* nouvelle page de garde, plus "patriotique et neutre"
	* lettrine en début de chaque chapitre
	* correction de la typographie des listes à puces et aération de ces dernières (package enumitem & généralisation dans le préambule avec "setlist")
	* amélioration des boîtes définies sous tcolorbox :
		* définition d'une boîte type
		* création des autres boîtes depuis la boîte type (nouvel environnement)
		* petite folie avec la personnalisation de la boîte "attention"
	* Partie I :
		* création d'un nouveau chapitre "Pourquoi (utiliser) LaTeX ?" : historique, retours d'expérience et avantages à utiliser LaTeX
		* reprise du chapitre "Installer LaTeX" : plus de clarté et d'explications
		* changement du chapitre "Démarrage avec Texmaker" en "Compiler avec LaTeX" : premier contact avec la compilation et plus d'explications à ce sujet pour une utilisation avec Texmaker
	* Partie II :
		* reprise complète du chapitre sur la gestion du texte : exemples plus précis, qui vont droit au but + division en sous-sections par endroits pour faciliter la compréhension
		* reprise du chapitre sur les mathématiques : exemples plus courts, explications revues
		* reprise complète du chapitre sur les boîtes et tableaux : plus d'explications sur les notions survolées jusqu'à présent, un peu plus de théorie et des exemples repensés
		* reprise du chapitre sur les images : introduction sur les formats d'image et les longueurs reprise et simplifiée, schéma d'approche pour insérer une image découpée en sous-sections, exemples retravaillés
		* reprise du chapitre sur les erreurs : plus explicite avec l'utilisation d'un tableau, reformulation, plus d'explications, de détails et de conseils personnels


* **Version 2 (finie le 26/12/2017) :**
	* dépôt sur CTAN après une refonte complète
	* relecture de tout le guide : limiter les fautes, revoir l'agencement
	* création d'une partie II pour les débutants et d'une partie III pour les plus aguerris
	* page de garde personnalisé, licence Creative Commons, mindmap TikZ ; préambule et page QRCode
	* amélioration du chapitre "Traitement des erreurs"
	* création du chapitre "Les modes de compilation sous LaTeX"
	* premier retour d'expérience sous TikZ : encore brouillon mais c'est un début


* **Version 1 (13/07/2016 et après) :**
	* guide fermé, réservé à mon usage personnel
	* création du guide, de sa structure, des points de base à aborder
	* expérimentations, améliorations successives
	* ajouts de nouvelles notions (expérience personnelle)